/* reset */
* {
    margin: 0;
    padding: 0;

}

/* basic style */

body {
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    background-color: steelblue;
    color: white;
    line-height: 1.6em;
    text-align: center;
    /* background-image: url(../img/land.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size:cover ; */

}


/* logo */
#logo {
    display: inline-block;
    width: 300px;
    height: 150px;
    margin-top: 50px;
    border: 2px white solid;
    border-radius: 60%;
    padding: 0px;
    background-color: white;
    cursor: pointer;

    /* Animation */
    animation-name: logo;
    animation-duration: 4s;

    /* Transition */
    transition-property: all;
    transition-duration: 1s;
}

#logo img {
    width: 100%;
    height: 100%;
}

@keyframes logo {
    0% {
        transform: scaleX(0) scaleY(0);
    }

    100% {
        transform: scaleX(1) scaleY(1);
    }
}

#logo:hover {
    /* background-color: gray;; */
    transform: rotateX(180deg) rotateY(180deg) rotateZ(180deg);
}

/* heder */

#showcase {
    height: 300px;
}

#showcase h1 {
    font-size: 50px;
    line-height: 1.3em;
    position: relative;

    /* animation */
    animation: heding;
    animation-duration: 3s;
    animation-fill-mode: forwards;


}

#showcase h1 span {
    /* height: 250px; */
    background-color: white;
    padding: 0.5rem 1.5rem;
    color: steelblue;
}

#showcase h1 br{
    display: none;
}

@keyframes heding {
    0% {
        top: -200px;
        opacity: 0;
    }

    100% {
        top: 50px;
        opacity: 1;
    }

}

.contaner {
    max-width: 960px;
    margin: auto;
    padding: 0 30px;

}

#content {
    position: relative;

    /* animation */
    animation: content;
    animation-duration: 3s;
    animation-fill-mode: forwards;

}

@keyframes content{
    0%{
        bottom: -500px;
    }

    100%{
        bottom: 120px;
    }
}

/* button */
.btn {
    display: inline-block;
    position: relative;
    top: -70px;
    color: white;
    text-decoration: none;
    padding: 1rem 2rem;
    border: 1px white solid;
    opacity: 0;

        /* animation */
    animation: btn;
    animation-duration: 3s;
    animation-fill-mode: forwards;
    animation-delay: 3s;

        /* Transition */
        transition-property: transform, background-color, color;
        transition-duration: 1s, 2s, 1s;
}

@keyframes btn{
    0%{
        opacity: 0;
    }

    100%{
        opacity: 1;
    }
}

.btn:hover{
    transform: scaleX(1.2) scaleY(1.2);
    background-color: white;
    color: steelblue;
}


/* Media quary */

@media(max-width:841px){
    /* @keyframes content{
        0%{
            bottom: -500px;
        }
    
        100%{
            bottom: 60px;
        }
    }
    .btn {
        top: -50px;
    } */


}

@media(max-width:900px){

    /* #showcase h1 span {
        margin-left: 00px;
    } */

    #logo {
        width: 150px;
        height: 75px;
    } 

    #showcase h1 {
        font-size: 25px;
    }

    #showcase {
        height: 200px;
        top: 0px;
    }

    @keyframes heding {
        0% {
            top: -200px;
            opacity: 0;
        }
    
        100% {
            top: 20px;
            opacity: 1;
        }
    
    }

    .btn {
        top: -100px;
    }

}

@media(max-width:475px){
    #showcase h1 br{
        display: inline;
    }

    #showcase {
        height: 250px;
        top: 0px;
    }

    #showcase h1 span {
        padding: 0.1rem 0.2rem;

    }
    #content {
        font-size: 12px;
    
    }

}

#footer{
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 20px;
    background-color: white;
    color: black;
    text-align: center;
    
}
#footer a{
    font-size: 12px;
    font-weight: 100;
    text-decoration: none;
    color: black;
    margin-left: 50px;
}